gnutls_x509_crq_set_attribute_by_oid(3)

NAME
gnutls_x509_crq_set_attribute_by_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_attribute_by_oid(gnutls_x509_crq_t crq, const char * oid, void * buf, size_t buf_size);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

const char * oid
    holds an Object Identifier in a null-terminated string

void * buf
    a pointer to a structure that holds the attribute data

size_t buf_size
    holds the size of buf

DESCRIPTION
This function will set the attribute in the certificate request specified by the given Object ID. The provided attribute must be be DER encoded. Attributes in a certificate request is an optional set of data appended to the request. Their interpretation depends on the CA policy.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/